Khronos Public Bugzilla
Bug 547 - glFramebufferTextureLayer
glFramebufferTextureLayer
Status: RESOLVED WONTFIX
Product: OpenGL
Classification: Unclassified
Component: Registry
unspecified
All All
: P3 normal
: ---
Assigned To: Jon Leech
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-28 10:26 PDT by Alfonse
Modified: 2013-07-11 01:22 PDT (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alfonse 2011-10-28 10:26:32 PDT
This function should take cubemap textures too. Then we would never have to use glFramebufferTexture2D.
Comment 1 Jon Leech 2013-06-20 03:22:21 PDT
I'm not sure how this follows. FramebufferTextureLayer deals with
3D and array textures, so the non-array targets supported by FT2D
would not be supported without that command. I think it's pretty
unlikely the ARB would want to remove existing functionality but
if you want to file a specific RFE as to how FTL should support
cubemap textures, I'll pass it on.
Comment 2 Jon Leech 2013-07-11 01:22:37 PDT
I'm going to WONTFIX this - if you have a specific proposal please file
it as a new bug.